package com.yh.saas.plugin.yiliangyiyun.service;

import com.yh.saas.plugin.yiliangyiyun.entity.TranCarInfo;
import com.baomidou.mybatisplus.service.IService;
import com.yh.saas.plugin.yiliangyiyun.exception.ServiceException;

import java.util.List;

/**
 * <p>
 * 记录车次 服务类
 * </p>
 *
 * @author Gongdc
 * @since 2021-05-31
 */
public interface ITranCarInfoService extends IService<TranCarInfo> {
    /**
     * 添加发车信息
     * @param tranCarInfo
     * @return
     */
    String addTranCar(TranCarInfo tranCarInfo) throws ServiceException;
    /**
     * 确认卸货
     * @param id
     * @return
     */
    String confirmUnloading(String id);
    /**
     *
     * 查发车数量
     * @param tranCarInfo
     */
    List<TranCarInfo> selectTranCarInfoNum(TranCarInfo tranCarInfo);
    /**
     * 删除运输车辆
     *
     * @param id
     */
    void deleteTranCar(String id);
    /**
     * APP保存反馈
     *
     * @param tranCarInfo
     */
    String feedbackTranCar(TranCarInfo tranCarInfo);


}
